TS-Doctor 2.0 Video Editor (Trial)

Informations

Créateur Messages
dvbtecman Anonymous

Attention

This installer is a beta script. It means that it might not work as expected

Informations

Plate-formes :
Téléchargements : 35
Wine: 1.8.2

Retours d'expérience

Description

The TS-Doctor is a universal tool for processing and repair of pictures from Sat-, Cable and DVB-T Receivers. It is simple to operate and its functions are quick and reliable.

The TS-Doctor offers an easy-to-operate cropping function and together with the automatic advertizing recognition feature, makes it child’s play to remove bothersome advertizing interruptions from TV-pictures.

The TS-Doctor checks and repairs your TV-pictures and makes sure that they can be easily processed and displayed on today’s media players. It can also handle pictures and formats that other programs often cannot read.

The TS-Doctor can also handle HDTV-pictures. HDTV means high-resolution television with brilliant picture and sound quality. In spite of large data files associated with HDTV, the TS-Doctor operates very quickly and without loss of picture and sound quality.

The TS-Doctor can drastically reduce the required file size by removing unneeded file content and filler data. Depending on the receiver and the picture, reductions of up to 70% of the file size can be achieved while retaining the same picture and sound quality.

 

30 days of free trial, limited to 500 MB output size.

Code source

#!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
TITLE="TS-Doctor 2.0"
PREFIX="TSDoctor2"
WINEVERSION="1.8.2"   
   
POL_SetupWindow_Init
POL_SetupWindow_SetID
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
   
Set_OS winxp
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"

# Install dependencies
POL_Call POL_Install_quartz

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    POL_Wine "$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    POL_System_TmpCreate "tsdoctor"
    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
        "English|Deutsch|Français" "|"
    case "$APP_ANSWER" in
         "English")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
         "Deutsch")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
         "Français")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
    *)
        exit 1;;
    esac
   
    cd "$POL_System_TmpDir"
    POL_Download "$DOWNLOAD_LINK" 
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_System_TmpDelete
fi

POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
   
POL_SetupWindow_Close
exit

Contributions

Filters:

Contribuer
Membre Messages
dvbtecman Mardi 31 Mai 2016 à 23:36
dvbtecman Anonymous

Information

Cette mise à jour a été acceptée par l'équipe

Messages

New installation for local or download version.

Now for trial and registered version installation.

If the license file and installation file are in the same directory, TS-Doctor will be installed as full registered version.

 

 

Differences

@@ -0,0 +1,56 @@
+#!/bin/bash
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+TITLE="TS-Doctor 2.0"
+PREFIX="TSDoctor2"
+WINEVERSION="1.8.2"   
+   
+POL_SetupWindow_Init
+POL_SetupWindow_SetID
+POL_Debug_Init
+
+POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
+   
+Set_OS winxp
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WINEVERSION"
+
+# Install dependencies
+POL_Call POL_Install_quartz
+
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+   
+if [ "$INSTALL_METHOD" = "LOCAL" ]
+then
+    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
+    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
+    POL_Wine "$APP_ANSWER"
+elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
+then
+    POL_System_TmpCreate "tsdoctor"
+    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
+        "English|Deutsch|Français" "|"
+    case "$APP_ANSWER" in
+         "English")
+             "http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
+         "Deutsch")
+             "http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
+         "Français")
+             "http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
+    *)
+        exit 1;;
+    esac
+   
+    cd "$POL_System_TmpDir"
+    POL_Download "$DOWNLOAD_LINK" 
+    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
+    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
+    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
+    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
+    POL_System_TmpDelete
+fi
+
+POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
+   
+POL_SetupWindow_Close
+exit
\ No newline at end of file

Nouveau code source

#!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
TITLE="TS-Doctor 2.0"
PREFIX="TSDoctor2"
WINEVERSION="1.8.2"   
   
POL_SetupWindow_Init
POL_SetupWindow_SetID
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
   
Set_OS winxp
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"

# Install dependencies
POL_Call POL_Install_quartz

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    POL_Wine "$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    POL_System_TmpCreate "tsdoctor"
    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
        "English|Deutsch|Français" "|"
    case "$APP_ANSWER" in
         "English")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
         "Deutsch")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
         "Français")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
    *)
        exit 1;;
    esac
   
    cd "$POL_System_TmpDir"
    POL_Download "$DOWNLOAD_LINK" 
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_System_TmpDelete
fi

POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
   
POL_SetupWindow_Close
exit

Réponses

dvbtecman Mardi 31 Mai 2016 à 16:31
dvbtecman Anonymous

dvbtecman Dimanche 29 Mai 2016 à 17:25
dvbtecman Anonymous

Messages

Images

Réponses

Anonymous
Dimanche 29 Mai 2016 à 17:26
Hmm, images are missing. How to upload?
Anonymous
Lundi 30 Mai 2016 à 0:50
Sorry, no one can help me?
dvbtecman Dimanche 29 Mai 2016 à 17:23
dvbtecman Anonymous

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Differences

@@ -0,0 +1,48 @@
+#!/bin/bash
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+TITLE="TS-Doctor 2.0 Trial"
+PREFIX="TSDoctor2"
+WINEVERSION="1.8.2"   
+   
+POL_SetupWindow_Init
+POL_SetupWindow_SetID
+POL_Debug_Init
+
+POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
+   
+Set_OS winxp
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WINEVERSION"
+
+# Install dependencies
+POL_Call POL_Install_quartz
+
+POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
+    "English|Deutsch|Français" "|"
+case "$APP_ANSWER" in
+    "English")
+        "http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
+    "Deutsch")
+        "http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
+    "Français")
+        "http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
+    *)
+        exit 1;;
+esac
+   
+POL_System_TmpCreate "tsdoctor"
+   
+cd "$POL_System_TmpDir"
+POL_Download "$DOWNLOAD_LINK" 
+POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
+EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
+mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
+POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
+   
+POL_System_TmpDelete
+   
+POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
+   
+POL_SetupWindow_Close
+exit
\ No newline at end of file

Nouveau code source

#!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
TITLE="TS-Doctor 2.0 Trial"
PREFIX="TSDoctor2"
WINEVERSION="1.8.2"   
   
POL_SetupWindow_Init
POL_SetupWindow_SetID
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
   
Set_OS winxp
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"

# Install dependencies
POL_Call POL_Install_quartz

POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
    "English|Deutsch|Français" "|"
case "$APP_ANSWER" in
    "English")
        "http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
    "Deutsch")
        "http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
    "Français")
        "http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
    *)
        exit 1;;
esac
   
POL_System_TmpCreate "tsdoctor"
   
cd "$POL_System_TmpDir"
POL_Download "$DOWNLOAD_LINK" 
POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
   
POL_System_TmpDelete
   
POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
   
POL_SetupWindow_Close
exit

Réponses

dvbtecman Dimanche 29 Mai 2016 à 16:37
dvbtecman Anonymous

Messages

#!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
TITLE="TS-Doctor 2.0 Trial"
PREFIX="TSDoctor2"
WINEVERSION="1.8.2"   
   
POL_SetupWindow_Init
POL_SetupWindow_SetID
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
   
Set_OS winxp
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"

# Install dependencies
POL_Call POL_Install_quartz

POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
    "English|Deutsch|Français" "|"
case "$APP_ANSWER" in
    "English")
        "http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
    "Deutsch")
        "http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
    "Français")
        "http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
    *)
        exit 1;;
esac
   
POL_System_TmpCreate "tsdoctor"
   
cd "$POL_System_TmpDir"
POL_Download "$DOWNLOAD_LINK"
POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
   
POL_System_TmpDelete
   
POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
   
POL_SetupWindow_Close
exit

Réponses